Bug 211386 - Need configure option for debug defines
Need configure option for debug defines
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2006-10-18 17:13 EDT by Nathan Kinder
Modified: 2015-12-07 11:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:55:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Fix (2.25 KB, patch)
2006-10-18 17:13 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2006-10-18 17:13:24 EDT
We have some defines that are needed only when building a debug build.

The attached diffs add a new configure option (--enable-debug) that will add
these defines when specified.  Debug and optimize compiler flags will still need
to be specified with CFLAGS and CXXFLAGS on the command-line when configure is run.

I also fixed a problem with the setting of the default installation prefix in
configure.ac that was noticed when testing this fix.

Note:  I have removed the files generated by autoreconf (Makefile.in and
configure) from the diffs to make it easier to review.
Comment 1 Nathan Kinder 2006-10-18 17:13:24 EDT
Created attachment 138836 [details]
Proposed Fix
Comment 2 Rich Megginson 2006-10-18 17:27:34 EDT
Looks good.
Comment 3 Nathan Kinder 2006-10-18 17:41:40 EDT
Checked into ldapserver (HEAD).  Thanks to Rich for the review!

Checking in Makefile.am;
/cvs/dirsec/ldapserver/Makefile.am,v  <--  Makefile.am
new revision: 1.3; previous revision: 1.2
done
Checking in Makefile.in;
/cvs/dirsec/ldapserver/Makefile.in,v  <--  Makefile.in
new revision: 1.3; previous revision: 1.2
done
Checking in configure;
/cvs/dirsec/ldapserver/configure,v  <--  configure
new revision: 1.2; previous revision: 1.1
done
Checking in configure.ac;
/cvs/dirsec/ldapserver/configure.ac,v  <--  configure.ac
new revision: 1.2; previous revision: 1.1
done
Comment 4 Nathan Kinder 2007-12-21 13:17:54 EST
Verified that the "--enable-debug" configure option defined DEBUG and MCC_DEBUG.

Note You need to log in before you can comment on or make changes to this bug.